summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Alan_Hicks <alan@lizella.net>2010-05-11 20:00:56 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:00:56 +0200
commit209640e811400436f4586dbc9307c7c98da3ac56 (patch)
treeb3f5641811a34622d745cb59257ea51b8ddc6ad5 /libraries
parent1607628d2f41290fa3789ecd889d33ce198038ce (diff)
downloadslackbuilds-209640e811400436f4586dbc9307c7c98da3ac56.tar.gz
slackbuilds-209640e811400436f4586dbc9307c7c98da3ac56.tar.xz
libraries/libsmbios: Added to 12.0 repository
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libsmbios/README9
-rw-r--r--libraries/libsmbios/libsmbios.SlackBuild62
-rw-r--r--libraries/libsmbios/libsmbios.info8
-rw-r--r--libraries/libsmbios/slack-desc19
4 files changed, 98 insertions, 0 deletions
diff --git a/libraries/libsmbios/README b/libraries/libsmbios/README
new file mode 100644
index 0000000000..98aa6e25ca
--- /dev/null
+++ b/libraries/libsmbios/README
@@ -0,0 +1,9 @@
+The libsmbios project aims towards providing access to as much BIOS
+information as possible. It does this by providing a library of
+functions that can be used as well as sample binaries.
+
+Please note that documentation is especially sparse in this package.
+There are no man pages, and many of the binaries included here are
+untested and perhaps dangerous to use on non-supported hardware. This
+script exists solely to satisfy a dependency for pommed (also available
+at SlackBuilds.org).
diff --git a/libraries/libsmbios/libsmbios.SlackBuild b/libraries/libsmbios/libsmbios.SlackBuild
new file mode 100644
index 0000000000..4a49962993
--- /dev/null
+++ b/libraries/libsmbios/libsmbios.SlackBuild
@@ -0,0 +1,62 @@
+#!/bin/sh
+
+# Exit on most errors
+set -e
+
+PRGNAM=libsmbios
+VERSION=0.13.10
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --bindir=/usr/sbin \
+ --includedir=/usr/include \
+ --sysconfdir=/etc \
+ --localstatedir=/var
+
+make
+make install DESTDIR=$PKG
+
+# These don't get included, but probably should
+cp -a include $PKG/usr
+chown -R root:root $PKG/usr/include
+find $PKG/usr/include -type f -exec chmod 0644 {} \;
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING COPYING-GPL COPYING-OSL ChangeLog INSTALL NEWS \
+ README TODO doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libsmbios/libsmbios.info b/libraries/libsmbios/libsmbios.info
new file mode 100644
index 0000000000..21b6e94c64
--- /dev/null
+++ b/libraries/libsmbios/libsmbios.info
@@ -0,0 +1,8 @@
+PRGNAM="libsmbios"
+VERSION="0.13.10"
+HOMEPAGE="http://linux.dell.com/libsmbios/main/index.html"
+DOWNLOAD="http://linux.dell.com/libsmbios/download/libsmbios/libsmbios-0.13.10/libsmbios-0.13.10.tar.gz"
+MD5SUM="23faf207803e7249be7662697f8218a9"
+MAINTAINER="Alan_Hicks"
+EMAIL="alan@lizella.net"
+APPROVED="rworkman"
diff --git a/libraries/libsmbios/slack-desc b/libraries/libsmbios/slack-desc
new file mode 100644
index 0000000000..7483babd12
--- /dev/null
+++ b/libraries/libsmbios/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libsmbios: libsmbios (library of functions to access BIOS information)
+libsmbios:
+libsmbios: The libsmbios project aims towards providing access
+libsmbios: to as much BIOS information as possible. It does this
+libsmbios: by providing a library of functions that can be used
+libsmbios: as well as sample binaries.
+libsmbios:
+libsmbios:
+libsmbios:
+libsmbios:
+libsmbios: